Installation on Raspberry Pi 1

    • OMV 2.x
    • Installation on Raspberry Pi 1

      I am hoping to install OMV on my raspberry pi (version 1). I am not particularly experienced with computing so I think it's great you've made an image for raspberry pis.

      I have downloaded the image but the notes say, "works on Raspberry Pi 2 and Raspberry Pi 3 (need to update php5-pam manually to work on RPi1)".

      I have no idea what this means and searches have not proved productive. Would anyone be able to tell me what this means I have to do?

      Kind Regards
    • Login as root and execute:
      wget http://omv-extras.org/debian/pool/main/p/php5-pam/php5-pam_1.0.3-2_armhf.deb
      dpkg -i php5-pam_1.0.3-2_armhf.deb
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Hi,
      I've try to install php5-pam_1.0.3-2_armhf.deb
      but it fails:

      Source Code

      1. ​sudo dpkg -i php5-pam_1.0.3-2_armhf.deb
      2. (Lecture de la base de données... 77955 fichiers et répertoires déjà installés.)
      3. Préparation du remplacement de php5-pam 1.0.3-2 (en utilisant php5-pam_1.0.3-2_armhf.deb) ...
      4. Dépaquetage de la mise à jour de php5-pam ...
      5. Paramétrage de php5-pam (1.0.3-2) ...
      6. Traitement des actions différées (« triggers ») pour « libapache2-mod-php5filter »...
      7. Reloading web server config: apache2 not running.
      8. Traitement des actions différées (« triggers ») pour « php5-fpm »...
      9. Illegal instruction
      10. Restarting PHP5 FastCGI Process Manager: php5-fpm failed!



      what should I do.... I've got a Bad Gateway error :(
    • I installed a new image of OMV 3.0.41 to my RPi B+, and tried to downgrade php5-pam with the above steps. However, the steps fail with:

      Source Code

      1. root@raspberrypi:~# dpkg -i php5-pam_1.0.3-2_armhf.deb
      2. dpkg: warning: downgrading php5-pam from 1.0.3-4 to 1.0.3-2
      3. (Reading database ... 43571 files and directories currently installed.)
      4. Preparing to unpack php5-pam_1.0.3-2_armhf.deb ...
      5. Unpacking php5-pam (1.0.3-2) over (1.0.3-4) ...
      6. dpkg: dependency problems prevent configuration of php5-pam:
      7. php5-pam depends on phpapi-20100525+lfs; however:
      8. Package phpapi-20100525+lfs is not installed.
      9. dpkg: error processing package php5-pam (--install):
      10. dependency problems - leaving unconfigured
      11. Errors were encountered while processing:
      12. php5-pam
      13. root@raspberrypi:~#
      Display All
      What can I do?
    • badda wrote:

      What can I do?
      Not much. You are probably trying to install php5-pam from OMV 2.x which will not work on OMV 3.x. You would have to recompile the php5-pam package and that is a real pain in the ass on the slow RPi1. That is why I'm not supporting the RPi1.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • I have been looking for the answer to my issue, as well...same hardware RPi B+v1.2. Just trying to recycle older RPis, guess I will resume this project on an new RPi Bv3. I had absolutely no problems installing OVM on my first RPi Bv3. I liked it so much I have not powered it down since dropped data onto its WD 314GB Pi Drive. I now want to get 4 WD 1TB Pi Drives and build a RAID-5 NAS.

      So, the RPi B+v1.2 goes back into the RPi Camera pool!

      Thank you ryecoaaron
    • Before you add a raid array to an RPi (which I advise against any raid on an RPi), add the bootwait parameter to /boot/cmdline.txt. Google for the exact format.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!